import { EditPasswordDto } from "../passwords/edit-password-dto";
import { RouterInstance } from "../../meta/client/framework";
/** @internal */
export declare function getEditPasswordFormCurrentPasswordInputId(): string;
/** @internal */
export declare function getEditPasswordFormNewPasswordInputId(): string;
/** @internal */
export declare function getEditPasswordFormEditButtonId(): string;
export declare function onEditPassword(data: EditPasswordDto, router: RouterInstance): Promise<void>;
